summaryrefslogtreecommitdiffstats
path: root/system/snapscreenshot/snapscreenshot.SlackBuild
diff options
context:
space:
mode:
author B. Watson2018-07-06 17:51:04 +0200
committer Willy Sudiarto Raharjo2018-07-07 01:54:18 +0200
commita274538685d16c0f4e6a6e05121a2600f010bc11 (patch)
treedb9d6dd017c59eae6824f92cb83a43cee9b926c7 /system/snapscreenshot/snapscreenshot.SlackBuild
parenta2dcdb585af8af69ff73c3e11de684a8906badb9 (diff)
downloadslackbuilds-a274538685d16c0f4e6a6e05121a2600f010bc11.tar.gz
system/snapscreenshot: Added (screenshot program for text consoles).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system/snapscreenshot/snapscreenshot.SlackBuild')
-rw-r--r--system/snapscreenshot/snapscreenshot.SlackBuild87
1 files changed, 87 insertions, 0 deletions
diff --git a/system/snapscreenshot/snapscreenshot.SlackBuild b/system/snapscreenshot/snapscreenshot.SlackBuild
new file mode 100644
index 0000000000..5c6d716405
--- /dev/null
+++ b/system/snapscreenshot/snapscreenshot.SlackBuild
@@ -0,0 +1,87 @@
+#!/bin/sh
+
+# Slackware build script for snapscreenshot
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+PRGNAM=snapscreenshot
+VERSION=${VERSION:-1.0.14.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \+ -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \+
+
+# It's really annoying to have errors sent to stdout, when the main
+# way to use the program is to redirect stdout to a file...
+patch -p1 < $CWD/errors_to_stderr.diff
+
+# It's also annoying that -c1 is accepted, but -c 1 isn't. Likewise
+# --firstwin 1, but not --firstwin=1. Not going to fix the code, but at
+# least the man page can document it.
+patch -p1 < $CWD/manpage.diff
+
+make CFLAGS="$SLKCFLAGS" CXXFLAGS="$SLKCFLAGS"
+mkdir -p $PKG/usr/bin $PKG/usr/man/man1
+install -s -m0755 $PRGNAM $PKG/usr/bin
+gzip -9c < $PRGNAM.1 > $PKG/usr/man/man1/$PRGNAM.1.gz
+
+# Include this script, because pretty much everyone who ever uses this
+# will either write their own version, or wish they knew how...
+install -m0755 -oroot -groot $CWD/$PRGNAM.cur $PKG/usr/bin
+
+if [ "${SETUID:-yes}" = "yes" ]; then
+ chown root:video $PKG/usr/bin/$PRGNAM
+ chmod 4750 $PKG/usr/bin/$PRGNAM
+fi
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README* COPYING $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}